Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# CIAO::NodeDaemon_Impl Class Reference

Servant implementation CIAO's daemon process control interface. More...

`#include <NodeDaemon_Impl.h>`

Collaboration diagram for CIAO::NodeDaemon_Impl:

[legend]
List of all members.

## Public Member Functions
| NodeDaemon_Impl (const char *name, CORBA::ORB_ptr orb, PortableServer::POA_ptr p, const char *nodeapp_loc, int spawn_delay) throw (CORBA::SystemException)
| Constructor.
virtual void | init (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| Initializes the NodeDaemon.
virtual PortableServer::POA_ptr | _default_POA (void)
| POA operation..
virtual char * | name (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| CIAO::Daemon defined attributes/operations.
virtual void | shutdown (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual void | joinDomain (const Deployment::Domain &domain, Deployment::TargetManager_ptr manager, Deployment::Logger_ptr log ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual void | leaveDomain (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual ::Deployment::NodeApplicationManager_ptr | preparePlan (const Deployment::DeploymentPlan &plan ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, Deployment::StartError, Deployment::PlanError)
virtual void | destroyManager (Deployment::NodeApplicationManager_ptr appManager ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, Deployment::StopError, Deployment::InvalidReference)
## Protected Member Functions
virtual | ~NodeDaemon_Impl (void)
## Protected Attributes
CORBA::ORB_var | orb_
| Keep a pointer to the managing ORB serving this servant.
PortableServer::POA_var | poa_
| Keep a pointer to the managing POA.
CORBA::String_var | name_
| My Canonical name.
CORBA::String_var | nodeapp_location_
| NodeApplication location.
PortableServer::POA_var | callback_poa_
| Cached callback POA.
int | spawn_delay_
| Spawn delay for the NodeAppMgr.
NAM_Map | map_

## Detailed Description

Servant implementation CIAO's daemon process control interface.

This class implements the CIAO:NodeDaemon interface.

## Constructor & Destructor Documentation

CIAO::NodeDaemon_Impl::NodeDaemon_Impl | ( | const char * | name,
|  | CORBA::ORB_ptr | orb,
|  | PortableServer::POA_ptr | p,
|  | const char * | nodeapp_loc,
|  | int | spawn_delay
| ) | throw (CORBA::SystemException)

| Constructor.

CIAO::NodeDaemon_Impl::~NodeDaemon_Impl | ( | void |  | ) | `[protected, virtual]`

| Since this class is reference counted, making this destructor protected to enforce proper memory managment through the reference counting mechanism (i.e. to disallow calling operator delete() on an instance of this class.

## Member Function Documentation

PortableServer::POA_ptr CIAO::NodeDaemon_Impl::_default_POA | ( | void |  | ) | `[virtual]`

| POA operation..

virtual void CIAO::NodeDaemon_Impl::destroyManager | ( | Deployment::NodeApplicationManager_ptr appManager | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException, Deployment::StopError, Deployment::InvalidReference)`[virtual]`

void CIAO::NodeDaemon_Impl::init | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Initializes the NodeDaemon.

virtual void CIAO::NodeDaemon_Impl::joinDomain | ( | const Deployment::Domain & | domain,
|  | Deployment::TargetManager_ptr | manager,
|  | Deployment::Logger_ptr log | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (CORBA::SystemException)`[virtual]`

void CIAO::NodeDaemon_Impl::leaveDomain | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

virtual char* CIAO::NodeDaemon_Impl::name | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| CIAO::Daemon defined attributes/operations.

Deployment::NodeApplicationManager_ptr CIAO::NodeDaemon_Impl::preparePlan | ( | const Deployment::DeploymentPlan &plan | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException, Deployment::StartError, Deployment::PlanError)

void CIAO::NodeDaemon_Impl::shutdown | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

## Member Data Documentation

PortableServer::POA_var CIAO::NodeDaemon_Impl::callback_poa_`[protected]`

| Cached callback POA.

NAM_Map CIAO::NodeDaemon_Impl::map_`[protected]`

CORBA::String_var CIAO::NodeDaemon_Impl::name_`[protected]`

| My Canonical name.

CORBA::String_var CIAO::NodeDaemon_Impl::nodeapp_location_`[protected]`

| NodeApplication location.

CORBA::ORB_var CIAO::NodeDaemon_Impl::orb_`[protected]`

| Keep a pointer to the managing ORB serving this servant.

PortableServer::POA_var CIAO::NodeDaemon_Impl::poa_`[protected]`

| Keep a pointer to the managing POA.

int CIAO::NodeDaemon_Impl::spawn_delay_`[protected]`

| Spawn delay for the NodeAppMgr.

The documentation for this class was generated from the following files:

- NodeDaemon_Impl.h
- NodeDaemon_Impl.cpp